# 项目相关配置
ruoyi:
    # 名称
    name: 统一认证平台
    # 版本
    version: 4.7.5
    # 版权年份
    copyrightYear: 2022
    # 实例演示开关
    demoEnabled: false
    # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
#    profile: D:/ruoyi/uploadPath
#    profile: /home/ruoyi/uploadPath
#    profile: D:/工作文档/武汉三环科普睿科/Project/JavaProject\RuoYi
    profile: ./


    # 获取ip地址开关
    addressEnabled: false

# 开发环境配置
server:
    # 服务器的HTTP端口，默认为80
#    port: 8082
    port: 8301

    servlet:
        # 应用的访问路径
        context-path: /
    tomcat:
        # tomcat的URI编码
        uri-encoding: UTF-8
        # 连接数满后的排队数，默认为100
        accept-count: 1000
        threads:
            # tomcat最大线程数，默认为200
            max: 800
            # Tomcat启动初始化的线程数，默认值10
            min-spare: 100
# 数据源配置
spring:
    # 模板引擎
    thymeleaf:
        mode: HTML
        encoding: utf-8
        # 禁用缓存
        cache: false
    #数据库配置
    datasource:
            type: com.zaxxer.hikari.HikariDataSource
            driverClassName: org.postgresql.Driver
            druid:
                # 主库数据源 stringtype=unspecified 如果stringtype设置为 unspecified，参数将作为非类型值发送到服务器，并且服务器将尝试推断适当的类型。
                master:
                     url: jdbc:postgresql://119.96.165.176:5432/test_lixing?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&characterSetResults=utf8&useSSL=false&allowMultiQueries=true&zeroDateTimeBehavior=convertToNull
                     username: postgres
                     password: kpr.23417.postgres
                # 从库数据源
                slave:
                    # 从数据源开关/默认关闭
                    enabled: false
                    url:
                    username:
                    password:
                # 初始连接数
                initialSize: 5
                # 最小连接池数量
                minIdle: 10
                # 最大连接池数量
                maxActive: 20
                # 配置获取连接等待超时的时间
                maxWait: 60000
                # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
                timeBetweenEvictionRunsMillis: 60000
                # 配置一个连接在池中最小生存的时间，单位是毫秒
                minEvictableIdleTimeMillis: 300000
                # 配置一个连接在池中最大生存的时间，单位是毫秒
                maxEvictableIdleTimeMillis: 900000
                # 配置检测连接是否有效
                validationQuery: SELECT 1
                testWhileIdle: true
                testOnBorrow: false
                testOnReturn: false
                webStatFilter:
                    enabled: true
                statViewServlet:
                    enabled: true
                    # 设置白名单，不填则允许所有访问
                    allow:
                    url-pattern: /druid/*
                    # 控制台管理用户名和密码
                    login-username: ruoyi
                    login-password: 123456
                filter:
                    stat:
                        enabled: true
                        # 慢SQL记录
                        log-slow-sql: true
                        slow-sql-millis: 1000
                        merge-sql: true
                    wall:
                        config:
                            multi-statement-allow: true
    devtools:
        restart:
          # 热部署开关
          enabled: true